Module java.desktop
Package javax.swing.event

## Interface ListDataListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `BasicComboBoxUI.ListDataHandler`, `BasicComboPopup.ListDataHandler`, `BasicListUI.ListDataHandler`, `JComboBox`, `JList.AccessibleJList`

    public interface ListDataListener
    extends EventListener

ListDataListener

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `contentsChanged​(ListDataEvent e)` Sent when the contents of the list has changed in a way that's too complex to characterize with the previous methods.
`void` `intervalAdded​(ListDataEvent e)` Sent after the indices in the index0,index1 interval have been inserted in the data model.
`void` `intervalRemoved​(ListDataEvent e)` Sent after the indices in the index0,index1 interval have been removed from the data model.

### Method Detail

#### intervalAdded

    void intervalAdded​(ListDataEvent e)

Sent after the indices in the index0,index1 interval have been inserted in the data model. The new interval includes both index0 and index1.

Parameters:
  `e` - a `ListDataEvent` encapsulating the event information

#### intervalRemoved

    void intervalRemoved​(ListDataEvent e)

Sent after the indices in the index0,index1 interval have been removed from the data model. The interval includes both index0 and index1.

Parameters:
  `e` - a `ListDataEvent` encapsulating the event information

#### contentsChanged

    void contentsChanged​(ListDataEvent e)

Sent when the contents of the list has changed in a way that's too complex to characterize with the previous methods. For example, this is sent when an item has been replaced. Index0 and index1 bracket the change.

Parameters:
  `e` - a `ListDataEvent` encapsulating the event information